libavformat53 Mismatching header version

Bug #992971 reported by Ron Johnson on 2012-05-02
144
This bug affects 35 people
Affects Status Importance Assigned to Milestone
libav (Arch Linux)
New
Undecided
Unassigned
libav (Ubuntu)
Undecided
Unassigned
mplayer (Ubuntu)
Undecided
Unassigned

Bug Description

Version details should be in the auto-loaded Apport file.

$ mplayer blah_blah.mov
MPlayer svn r34540 (Ubuntu), built with gcc-4.6 (C) 2000-2012 MPlayer Team

Playing blah_blah.mov.
libavformat version 53.21.0 (external)
Mismatching header version 53.19.0
libavformat file format detected.
[snip]

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libavformat53 4:0.8.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Tue May 1 20:24:45 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libav
UpgradeStatus: No upgrade log present (probably fresh install)

Ron Johnson (ron-l-johnson) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libav (Ubuntu):
status: New → Confirmed
Miguel Guedes (miguelg) wrote :

Reporting bug affects me as well.

Terminal output:

$ /usr/bin/mplayer -noquiet -nofs -nomouseinput -sub-fuzziness 1 -identify -slave -vo gl -ao oss -nokeepaspect -framedrop -nodr -double -input nodefault-bindings:conf=/dev/null -stop-xscreensaver -wid 31457317 -monitorpixelaspect 1 -ass -embeddedfonts -ass-line-spacing 0 -ass-font-scale 1 -ass-styles /home/guedesm/.config/smplayer/styles.ass -fontconfig -font Arial -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp ISO-8859-1 -vid 0 -subpos 100 -volume 50 -nocache -osdlevel 0 -vf-add screenshot -slices -channels 2 -af scaletempo,equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 video.mkv

MPlayer svn r34540 (Ubuntu), built with gcc-4.6 (C) 2000-2012 MPlayer Team
Terminal type `unknown' is not defined.

Playing video.mkv.
libavformat version 53.21.0 (external)
Mismatching header version 53.19.0
ID_VIDEO_ID=0

Exiting... (End of file)
ID_EXIT=EOF

Ron Johnson (ron-l-johnson) wrote :

Followups:

1) this bug does *not* prevent the video from playing successfully.

2) Added the motumedia ppa last night and upgraded mplayer to 1.0~svn34707-1~precise. That mplayer is at libavformat version 54.0.0 and there's no more version mismatch.

Jacobus Erasmus (jacobus) wrote :

Exact same error but not limited to mplayer.

Totem , xmbc also do not play these files.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mplayer (Ubuntu):
status: New → Confirmed
asgard2 (kamp000x) wrote :

same error message with mencoder

Reinhard Tartler (siretart) wrote :

this needs to be fixed in the mpalyer package, IMO

Changed in libav (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Opinion

October 2013, still there:

mplayer FOO.mp3
MPlayer svn r34540 (Ubuntu), built with gcc-4.7 (C) 2000-2012 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing Foo.mp3.
libavformat version 53.21.1 (external)
Mismatching header version 53.19.0

ubuntu saucy 64bit

The audio plays ok. But why is this mismatching header problem not fixed for aged? Thanks in advance!

2014, still not fixed, are you serious?
 I'm seeing this in 12.04 and 14.04, it prevents a lot of avi files and a few mkv files from playing

djcj (djcj) wrote :

A workaround would be to rebuild mencoder and mplayer with statically linked ffmpeg libs from the source package.

gst (g-starck) wrote :

2016 ... :s

Ron Johnson (ron-l-johnson) wrote :

Building from scratch using Ubuntu dev packages works like a charm.

http://www.andrews-corner.org/ubuntu/mplayer.html

ablaszczyk (ablaszczyk) wrote :

Saying hi from 2017 :)

ablaszczyk (ablaszczyk) wrote :

libavformat version 57.63.100 (external)
Mismatching header version 56.40.101
libavformat file format detected.

Janek Kozicki (cosurgi) wrote :

I confirm. And it's critical for me, because I cannot use mencoder to for 2nd and 3rd pass:

$ mencoder IMG_6040.MOV -o Dell_P4317Q_two_problems.avi -mf fps=25 -ovc lavc -lavcopts vcodec=msmpeg4v2:vpass=3:vbitrate=2400000 -oac mp3lame -vf scale=1536:864 (pon,04 cze,20:56)
MEncoder 1.3.0 (Debian), built with gcc-6.2.1 (C) 2000-2016 MPlayer Team
success: format: 0 data: 0x0 - 0x1b33e43f
libavformat version 57.56.101 (external)
Mismatching header version 57.56.100
libavformat file format detected.

Janek Kozicki (cosurgi) wrote :

ah, sorry. That error wasn't critical (although I have that message too). My problem was:

[msmpeg4v2 @ 0x7f08f7cefae0][lavc rc] Error: bitrate too low for this video with these parameters.

So I just need higher bitrate.

ablaszczyk (ablaszczyk) wrote :

Once a while...

libavformat version 58.5.100 (external)
Mismatching header version 56.40.101
libavformat file format detected.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers